Restore Events
Cedana API for restore events
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
action_idstring · nullableOptional
action_idsstring[] · nullableOptional
action_scopestring · nullableOptional
checkpoint_action_idstring · nullableOptional
checkpoint_idstring · nullableOptional
cluster_idstring · nullableOptional
completed_atstring · nullableOptional
error_messagestring · nullableOptional
kindstring · nullableOptional
metadataanyOptional
path_idstring · nullableOptional
profile_available_on_errorboolean · nullableOptional
profile_object_pathstring · nullableOptional
reasonstring · nullableOptional
request_metadataanyOptional
restore_pathstring · nullableOptional
restore_uuidstringRequired
runtime_metadataanyOptional
started_atstring · nullableOptional
statusstring · nullableOptional
storage_providerstring · nullableOptional
workload_typestring · nullableOptional
Other propertiesanyOptional
Responses
200
Restore event accepted
application/json
restore_uuidstring · uuidRequired
statusstringRequired
400
Invalid restore event
application/json
500
Failed to persist restore event
application/json
4XX
Client error
application/json
5XX
Server error
application/json
post/v1/restores/events/restore_error
POST /v1/restores/events/restore_error HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 490
{
"action_id": null,
"action_ids": [
"text"
],
"action_scope": null,
"checkpoint_action_id": null,
"checkpoint_id": null,
"cluster_id": null,
"completed_at": null,
"error_message": null,
"kind": null,
"metadata": null,
"path_id": null,
"profile_available_on_error": null,
"profile_object_path": null,
"reason": null,
"request_metadata": null,
"restore_path": null,
"restore_uuid": "text",
"runtime_metadata": null,
"started_at": null,
"status": null,
"storage_provider": null,
"workload_type": null,
"ANY_ADDITIONAL_PROPERTY": "anything"
}{
"restore_uuid": "123e4567-e89b-12d3-a456-426614174000",
"status": "text"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
action_idstring · nullableOptional
action_idsstring[] · nullableOptional
action_scopestring · nullableOptional
checkpoint_action_idstring · nullableOptional
checkpoint_idstring · nullableOptional
cluster_idstring · nullableOptional
completed_atstring · nullableOptional
error_messagestring · nullableOptional
kindstring · nullableOptional
metadataanyOptional
path_idstring · nullableOptional
profile_available_on_errorboolean · nullableOptional
profile_object_pathstring · nullableOptional
reasonstring · nullableOptional
request_metadataanyOptional
restore_pathstring · nullableOptional
restore_uuidstringRequired
runtime_metadataanyOptional
started_atstring · nullableOptional
statusstring · nullableOptional
storage_providerstring · nullableOptional
workload_typestring · nullableOptional
Other propertiesanyOptional
Responses
200
Restore event accepted
application/json
restore_uuidstring · uuidRequired
statusstringRequired
400
Invalid restore event
application/json
500
Failed to persist restore event
application/json
4XX
Client error
application/json
5XX
Server error
application/json
post/v1/restores/events/restore_start
POST /v1/restores/events/restore_start HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 490
{
"action_id": null,
"action_ids": [
"text"
],
"action_scope": null,
"checkpoint_action_id": null,
"checkpoint_id": null,
"cluster_id": null,
"completed_at": null,
"error_message": null,
"kind": null,
"metadata": null,
"path_id": null,
"profile_available_on_error": null,
"profile_object_path": null,
"reason": null,
"request_metadata": null,
"restore_path": null,
"restore_uuid": "text",
"runtime_metadata": null,
"started_at": null,
"status": null,
"storage_provider": null,
"workload_type": null,
"ANY_ADDITIONAL_PROPERTY": "anything"
}{
"restore_uuid": "123e4567-e89b-12d3-a456-426614174000",
"status": "text"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
action_idstring · nullableOptional
action_idsstring[] · nullableOptional
action_scopestring · nullableOptional
checkpoint_action_idstring · nullableOptional
checkpoint_idstring · nullableOptional
cluster_idstring · nullableOptional
completed_atstring · nullableOptional
error_messagestring · nullableOptional
kindstring · nullableOptional
metadataanyOptional
path_idstring · nullableOptional
profile_available_on_errorboolean · nullableOptional
profile_object_pathstring · nullableOptional
reasonstring · nullableOptional
request_metadataanyOptional
restore_pathstring · nullableOptional
restore_uuidstringRequired
runtime_metadataanyOptional
started_atstring · nullableOptional
statusstring · nullableOptional
storage_providerstring · nullableOptional
workload_typestring · nullableOptional
Other propertiesanyOptional
Responses
200
Restore event accepted
application/json
restore_uuidstring · uuidRequired
statusstringRequired
400
Invalid restore event
application/json
500
Failed to persist restore event
application/json
4XX
Client error
application/json
5XX
Server error
application/json
post/v1/restores/events/restore_success
POST /v1/restores/events/restore_success HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 490
{
"action_id": null,
"action_ids": [
"text"
],
"action_scope": null,
"checkpoint_action_id": null,
"checkpoint_id": null,
"cluster_id": null,
"completed_at": null,
"error_message": null,
"kind": null,
"metadata": null,
"path_id": null,
"profile_available_on_error": null,
"profile_object_path": null,
"reason": null,
"request_metadata": null,
"restore_path": null,
"restore_uuid": "text",
"runtime_metadata": null,
"started_at": null,
"status": null,
"storage_provider": null,
"workload_type": null,
"ANY_ADDITIONAL_PROPERTY": "anything"
}{
"restore_uuid": "123e4567-e89b-12d3-a456-426614174000",
"status": "text"
}Last updated
Was this helpful?